{
 Шаблон Lazarus-проекта c поддержкой библиотеки RubiRobotLib

 ВНИМАНИЕ! Все новые проекты рекомендуется начинать с создания копии данного
 шаблона!

 ВНИМАНИЕ! Запуск полученного исполняемого файла производится не напрямую,
 а через выполнение скрипта ev3lazrun (часть консольного менеджера ev3),
 что заранее настроено в элементе меню
 "/Запуск/Параметры запуска/Использовать приложение для запуска".
 Скрипт ev3lazrun запускается в терминале, получает в качестве параметра
 имя исполняемого файла программы, устанавливает коммуникационный канал с EV3,
 копирует и запускает приложение на роботе.

 ВНИМАНИЕ! Запуск программы на EV3 не предполагает использование отладчика!
 Современные версии Lazarus позволяют компилировать и запускать программы
 без использования отладчика нажатием комбинации Ctrl+Shift+F9
 или элементом меню "/Запуск/Запустить без отладки"
 Если Ваша версия Lazarus не поддерживает механизм запуска без отладчика,
 то отладчик следует отключить В ОБЯЗАТЕЛЬНОМ ПОРЯДКЕ: элемент меню
 "/Сервис/Параметры/Отладчик/Тип отладчика и путь" установить в (none)

 ВНИМАНИЕ! При использовании бинарной версии RubiRobotCross возможно
 несовпадение версий компиляторов FreePascal из состава RubiRobotCross
 и дистрибутива Linux. В этом случае при разработке программ для EV3
 автодополнение кода и некоторые другие функции могут оказаться недоступны.
 Решение: принудительно указать каталог исходного кода FreePascal в
 элементе меню "/Сервис/Параметры/Каталог исходного кода FPC"
 Например, если в дистрибутиве Linux используется FreePascal версии 3.0.4,
 а в указанном элементе меню находится значение
 /usr/share/fpcsrc/$(FPCVER)
 то его следует заменить на значение
 /usr/share/fpcsrc/3.0.4

 ВНИМАНИЕ! При установке библиотеки RubiRobotLib в нестандартное местоположение
 следует исправить пути в элементе меню "/Проект/Параметры проекта/Пути"
}

{$I rubiro.inc}		// подключение необходимых опций

// базовый способ подключения штатных модулей RubiRobotLib
uses cthreads		// поддержка UNIX-многозадачности
     ,uev3		// базовый модуль RubiRobotLib
     ,rubiroWebcam	// поддеркжа веб-камеры
     ,rubiroSound	// поддержка аудио
     ,rubiroButtons	// поддержка кнопок блока
     ,rubiroLeds	// поддержка цветоиндикации блока
     ,rubiroScreen	// поддержка дисплея блока
     ,rubiroMotors	// поддержка моторов и рулевого управления
     ,rubiroSensors	// поддержка датчиков
     ,rubiroBattery	// поддержка блока питания
     ,rubiroParallel	// поддержка параллельного исполнения
     ,rubiroAlgo	// полезные алгоритмы
     ;

// альтернативный способ подключения штатных модулей RubiRobotLib
// с помощью макроса rubiroAll
// uses rubiroAll,rubiroAlgo;

begin
 ev3init();
 // Здесь код программы

end.

